DNS automation
v1.6.2
Inspect the current API key
Returns the public key id, the granted permissions (
null = legacy key with full access), and the customer id of the authenticated API key. Used by the regfish MCP server and other integrations for capability discovery.GET
/meta/token
Meta
Authentication
Request example
GET
curl --request GET \
--url 'https://api.regfish.com/meta/token' \
--header 'x-api-key: YOUR_API_KEY'Responses
200
API key metadata
Response example 200
{
"success": true,
"code": 0,
"response": {
"key_id": "example",
"token_l4": "example",
"permissions": [
"example"
],
"scope": "example",
"customer_id": 1
}
}401
Unauthorized
Response example 401
{
"success": false,
"message": "Unauthorized",
"error": "Unauthorized"
}500
Unexpected error
Response example 500
{
"success": false,
"message": "Unexpected error",
"error": "Unexpected error"
}Community
Become part of the community
The regfish DNS API is a great solution for developers who want to automate domains and DNS zones. Become part of the community and benefit from DNS automation. The DNS API is available free of charge to every regfish customer.